Devices

Device inventory, details, status changes, labels, filter groups, rate plans, health, SmartSpot, and line actions.

51 of 51
PUT/v1.0/devices/assignReplaceDetailsDestructivePermalink ↗

This provides Assign and Replace label count for devices at the line level. This endpoint cannot be accessed by scope org_mediacenter and readonly users.

Parameters

Device Labelsbodyobjectrequired

Device Labels

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/assignReplaceDetails" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/bulkAddLabelsChanges dataPermalink ↗

This gives user the ability to bulk Assign labels for devices at the line level. This endpoint cannot be accessed by scope org_mediacenter and readonly users.

Parameters

Device Labelsbodyobjectrequired

Device Labels

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/bulkAddLabels" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/bulkAssignLabelsChanges dataPermalink ↗

Bulk Assign labels for devices at the line level. This endpoint cannot be accessed by scope org_mediacenter and readonly users.

Parameters

Device Labelsbodyobjectrequired

Device Labels

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/bulkAssignLabels" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/bulkUnassignLabelsChanges dataPermalink ↗

Bulk Unassign labels for devices at the line level. This endpoint cannot be accessed by scope org_mediacenter and readonly users.

Parameters

Device Labelsbodyobjectrequired

Device Labels

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/bulkUnassignLabels" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
POST/v1.0/devices/device-settings/compatibleChanges dataPermalink ↗

Get Compatible Devices

Parameters

Compatible Devices RequestbodyCompatibleDevicesRequestrequired

Compatible Devices Request

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/device-settings/compatible" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/devices/filterGroupRead-onlyPermalink ↗

Get the list of filter groups for the user. This endpoint cannot be accessed by scope org_mediacenter.

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/filterGroup" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/finalizeInstallWizardRead-onlyPermalink ↗

Get Finalize Installation Wizard information.

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/finalizeInstallWizard" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/devices/kemp/corps/{corpId}Changes dataPermalink ↗

set Profile status to active

Parameters

corpIdpathstringrequired

corp id

KempProfilebodyKempActivationrequired

KempProfile

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/kemp/corps/NORTHSTAR-ISD" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
PUT/v1.0/devices/kemp/corps/{corpId}DestructivePermalink ↗

cancel or swap profile

Parameters

corpIdpathstringrequired

corp id

changeTypequerystringrequired

changeType can be "cancel" or "swap"

KempProfilebodyKempActivationrequired

KempProfile

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/kemp/corps/NORTHSTAR-ISD?changeType=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/kemp/iccids/{iccid}/corps/{corpId}Read-onlyPermalink ↗

Get the list of Profiles

Parameters

iccidpathstringrequired

iccid

corpIdpathstringrequired

corp id

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/kemp/iccids/{iccid}/corps/NORTHSTAR-ISD" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/labelDestructivePermalink ↗

This gives user the ability to Add, Assign and Delete labels for devices at the line level. This endpoint cannot be accessed by scope org_mediacenter and readonly users.

Parameters

Device Labelsbodyobjectrequired

MDN is the Mobile Directory Number. This is the actual phone number of the device.

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/label" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/labelCategoriesCountRead-onlyPermalink ↗

List of count and details of available categories and labels by corp

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/labelCategoriesCount" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/labelsRead-onlyPermalink ↗

List of available labels for a corp

Parameters

searchValuequerystring

searchValue

mdnquerystring

mdn

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/labels?searchValue=Bus&mdn=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/smartspot-reboot-multiDestructivePermalink ↗

Reboot Multiple SmartSpot devices.

Parameters

DevicesbodyDevicesrequired

Devices

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/smartspot-reboot-multi" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/smartspot-reset-multiDestructivePermalink ↗

Reset Multiple SmartSpot device.

Parameters

DevicesbodyDevicesrequired

Devices

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/smartspot-reset-multi" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/unassignLabelDetailsChanges dataPermalink ↗

This provides Unassign label count for devices at the line level. This endpoint cannot be accessed by scope org_mediacenter and readonly users.

Parameters

Device Labelsbodyobjectrequired

Device Labels

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/unassignLabelDetails" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/vpnStatusChanges dataPermalink ↗

For Corps and Sub-Corps that have NNI enabled, it gives them the ability to edit NNI settings for devices at the line level. This endpoint can only be accessed by scope org_super.

Parameters

Device Vpn Statusbodyobjectrequired

Pass the vpn status in either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/vpnStatus" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/{corpId}Read-onlyPermalink ↗

Get list of devices for device group.

CLIkajeet-sentinel devices list --corp NORTHSTAR-ISD --limit 50MCPsentinel_devices.list_devices

Parameters

corpIdpathstringrequired

Device Group

offsetquerynumberrequired

The position of the first device for the requested result set. Starts from 0. Will be ignored if export param is specified.

limitquerynumberrequired

The number of devices to return. Will be ignored if export param is specified.

sortquerystringrequired

Sort field

Values: MDN, STATUS, MEDIA_CENTER_STATUS, ESNHEX, UICC, DEVICE_NAME, MONTHLY_LIMIT, MONTHLY_AMOUNT_USED, DAY_AMOUNT_USED, LAST_30_DAYS_USED, DAILY_LIMIT, FILTER_GROUP

sortDirquerystringrequired

Sort direction

Values: ASC, DESC

searchValuequerystring

Search by ESN, MDN, Nickname, IMEI, ICCID, IMSI, MSISDN, MAC, Serial Number, EID

columnsquerystring

Comma separated list of columns for CSV export. Values - IMEI, MDN, STATUS, MEDIA_CENTER_STATUS, DEVICE_NAME, NICKNAME, FILTER_GROUP, SUMMER_STATUS, LAST_30_DAYS_USED, MONTHLY_LIMIT, DAILY_LIMIT, MONTHLY_AMOUNT_USED, DAY_AMOUNT_USED, CORP_ID, CORP_DESCRIPTION, NOTE, UICC, NETWORK, APN, EFFECTIVE_VPN_STATUS, MDN_CUSTOM_FIELD, LABELS, MAC, OEM_SERIAL_NUMBER, NAME, DESCRIPTION, VERIZON_BI_PLAN_ID, SIM_TYPE, EID

exportquerystring

Export format. Currently only CSV is accepted.

labelIdsquerystring

Comma separated list of labelIds

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&searchValue=Bus&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED&export=CSV&labelIds=12%2C18" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
Response · 200 OK
{
  "totalCount": 499,
  "devices": [
    {
      "key": "5212671508",
      "mdn": "521-267-1508",
      "status": "active",
      "network": "Verizon",
      "deviceName": "Kajeet ENT-BYOD",
      "corpDescription": "Northstar Independent School District",
      "monthlyAmountUsed": 31245.43,
      "last30DaysUsed": 31245.43,
      "nickname": "Main Office Hotspot",
      "filterGroup": "Staff",
      "imei": "355737360073462",
      "onlineStatus": true
    },
    {
      "key": "3042286302",
      "mdn": "304-228-6302",
      "status": "active",
      "network": "T-Mobile",
      "deviceName": "SmartSpot AOL-BYOD",
      "corpDescription": "Northstar Independent School District",
      "monthlyAmountUsed": 8106.85,
      "nickname": "Bus #47",
      "filterGroup": "Student_K8",
      "onlineStatus": false
    }
  ]
}
DELETE/v1.0/devices/{corpId}/bulkDeleteLabelsDestructivePermalink ↗

This gives user the ability to bulk delete all labels at the line level. This endpoint cannot be accessed by scope org_mediacenter and readonly users.

Parameters

corpIdpathstringrequired

Device Group

Device Labelsbodyobjectrequired

Device Labels

cURL
curl -X DELETE "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/bulkDeleteLabels" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/devices/{corpId}/customizedListRead-onlyPermalink ↗

Get customized list of devices for device group. This endpoint cannot be accessed by scope org_mediacenter.

Parameters

corpIdpathstringrequired

Device Group

offsetquerynumberrequired

The number of devices to skip before starting to collect the result set.

limitquerynumberrequired

The number of devices to return.

sortquerystringrequired

Sort field

Values: MDN, STATUS, MEDIA_CENTER_STATUS, ESNHEX, UICC, DEVICE_NAME, MONTHLY_LIMIT, MONTHLY_AMOUNT_USED, DAY_AMOUNT_USED, LAST_30_DAYS_USED, DAILY_LIMIT, FILTER_GROUP

sortDirquerystringrequired

Sort direction

Values: ASC, DESC

columnsquerystring

Comma separated list of columns for CSV export. Values - IMEI, MDN, STATUS, MEDIA_CENTER_STATUS, DEVICE, NICKNAME, FILTER_GROUP, SUMMER_STATUS, LAST_30_DAYS_USED, MONTHLY_LIMIT, DAILY_LIMIT, MONTHLY_AMOUNT_USED, DAY_AMOUNT_USED, CORP_ID, DEVICE_GROUP, NOTE, UICC, NETWORK, APN, LABELS, MAC, OEM_SERIAL_NUMBER, NAME, DESCRIPTION, SIM_TYPE, EID

exportquerystring

Export format. Currently only CSV is accepted.

bulkSelectionbodyBulkSelectionrequired

bulkSelection

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/customizedList?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED&export=CSV" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
PUT/v1.0/devices/{corpId}/dataLimitsChanges dataPermalink ↗

Update device data limits. This endpoint can only be accessed by scope org_super or org_tech.

Parameters

corpIdpathstringrequired

Device Group

Device Data Limitsbodyobjectrequired

Pass the data limits and either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/dataLimits" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{corpId}/deviceGroupChanges dataPermalink ↗

Update device group for the device(s). This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

corpIdpathstringrequired

Device Group

Device Groupbodyobjectrequired

Pass the device group and either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/deviceGroup" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{corpId}/filterGroupChanges dataPermalink ↗

Update device filter group. This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

corpIdpathstringrequired

Device Group

Device Filter Groupbodyobjectrequired

Pass the filter group and either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/filterGroup" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{corpId}/imeiChanges dataPermalink ↗

Update device IMEI. This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus. Device MUST belong to ARCNT network.

Parameters

corpIdpathstringrequired

Device Group

Device update requestbodyobjectrequired

Pass the IMEI and a list of devices. Network of the devices must be 'ARCNT'

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/imei" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/{corpId}/imei/{imei}Read-onlyPermalink ↗

Get list of devices for IMEI.

Parameters

corpIdpathstringrequired

Device Group

imeipathstringrequired

Device IMEI

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/imei/355737360073462" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/{corpId}/mdnCustomFieldChanges dataPermalink ↗

Update device Custom MDN Value.

Parameters

corpIdpathstringrequired

Device Group

Device MDN Custom Fieldbodyobjectrequired

Pass the status and a list of devices

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/mdnCustomField" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{corpId}/nicknameChanges dataPermalink ↗

Update nickname for the device(s). This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

corpIdpathstringrequired

Device Group

Device Nicknamebodyobjectrequired

Pass the nickname and either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/nickname" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{corpId}/noteChanges dataPermalink ↗

Update note for the device(s). This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

corpIdpathstringrequired

Device Group

Device Notebodyobjectrequired

Pass the note and either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/note" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{corpId}/smartspot-settingsChanges dataPermalink ↗

Update a SmartSpot device settings.

Parameters

corpIdpathstringrequired

Unique Corp ID

SmartSpotSettingsbodySmartSpotSettingsRequestrequired

SmartSpotSettings

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/smartspot-settings" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{corpId}/smartspot-settings-multiChanges dataPermalink ↗

Update a SmartSpot device settings.

Parameters

corpIdpathstringrequired

Unique Corp ID

SmartSpotSettingsbodySmartSpotSettingsMultiRequestrequired

SmartSpotSettings

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/smartspot-settings-multi" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/{corpId}/smartspot-settings/{imei}Read-onlyPermalink ↗

Update a SmartSpot device settings.

Parameters

corpIdpathstringrequired

Unique Corp ID

imeipathstringrequired

imei

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/smartspot-settings/355737360073462" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/{corpId}/statusRead-onlyPermalink ↗

Return the posible statuses depending on the business type of the user. This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

corpIdpathstringrequired

Device Group

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/status" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/{corpId}/statusChanges dataPermalink ↗

Update device status. This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

corpIdpathstringrequired

Device Group

Device Statusbodyobjectrequired

Pass the status and either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/status" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "mdns": [
    "521-267-1508"
  ],
  "status": "SUSPENDED",
  "reason": "preview-only example"
}'
PUT/v1.0/devices/{corpId}/summerUsageChanges dataPermalink ↗

Update summer usage. This endpoint can only be accessed by scope org_super or org_tech with a "Kajeet Choice" account.

Parameters

corpIdpathstringrequired

Device Group

Device Summer Usagebodyobjectrequired

Pass the summer usage and either a list of devices or a bulk selection

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/summerUsage" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/{corpId}/totalsRead-onlyPermalink ↗

Device counts summary

CLIkajeet-sentinel devices totals --corp NORTHSTAR-ISDMCPsentinel_devices.device_totals

Parameters

corpIdpathstringrequired

Device Group

searchValuequerystring

Device search value - part of MDN, ESN, IMEI, Nickname , ICCID, IMSI or MSISDN.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/totals?searchValue=Bus" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
Response · 200 OK
{
  "active": 487,
  "suspended": 12,
  "total": 499
}
GET/v1.0/devices/{corpId}/{mdn}Read-onlyPermalink ↗

Device info by MDN

Parameters

corpIdpathstringrequired

Device Group

mdnpathstringrequired

Mobile Device Number (MDN)

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/521-267-1508" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/{corpId}/{mdn}/healthRead-onlyPermalink ↗

Health check status of eligible devices with showHealthStatus as true

Parameters

corpIdpathstringrequired

Device Group

mdnpathstringrequired

Mobile Device Number (MDN)

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/521-267-1508/health" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/{corpId}/{mdn}/{status}Read-onlyPermalink ↗

Get a device by status.

Parameters

corpIdpathstringrequired

Device Group

mdnpathstringrequired

Mobile Device Number (MDN)

statuspathstringrequired

Status

Values: active, suspended, suspended_lost_stolen

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD/521-267-1508/{status}" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/{iccid}/activationCodeRead-onlyPermalink ↗

Get activation code for a device identified by ICCID

Parameters

iccidpathstringrequired

Device ICCID

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/{iccid}/activationCode" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/{iccid}/qrCodeRead-onlyPermalink ↗

QRcode image for eligible devices with KPW business type

Parameters

iccidpathstringrequired

Device iccid

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/{iccid}/qrCode" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/{imei}/deviceDetailsChanges dataPermalink ↗

Update OEM Serial number and MAC Address for a device. This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

imeipathstringrequired

Device IMEI

Device Detailsbodyobjectrequired

Pass the OEM Serial number and MAC Address that needs to be modified for an IMEI.

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/355737360073462/deviceDetails" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
PUT/v1.0/devices/{imei}/rebootSmartSpotDestructivePermalink ↗

Reboot a SmartSpot device.

Parameters

imeipathstringrequired

Device`s IMEI

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/355737360073462/rebootSmartSpot" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/{imei}/resetSmartSpotDestructivePermalink ↗

Reset a SmartSpot device.

Parameters

imeipathstringrequired

Device`s IMEI

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/355737360073462/resetSmartSpot" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
DELETE/v1.0/devices/{mdn}DestructivePermalink ↗

Remove a line of service. This endpoint can only be accessed by scope org_super. It is not available to PRIVATELTE accounts.

Parameters

mdnpathstringrequired

Mobile Device Number (MDN)

cURL
curl -X DELETE "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/devices/{mdn}/configuration/wifiRead-onlyPermalink ↗

Device WLAN configuration by MDN

Parameters

mdnpathstringrequired

Mobile Device Number (MDN)

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508/configuration/wifi" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/{mdn}/configuration/wifiChanges dataPermalink ↗

Update Device WLAN configuration by MDN for authmode wpa2psk

Parameters

mdnpathstringrequired

Mobile Device Number (MDN)

WLAN configurationbodyDeviceWlanConfigRequestrequired

WLAN configuration object

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508/configuration/wifi" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/{mdn}/health-history/signal-qualityRead-onlyPermalink ↗

Device Health History Signal Quality by MDN

Parameters

mdnpathstringrequired

Mobile Device Number (MDN)

startDatequerystringrequired

Start date for date range

endDatequerystringrequired

End date for date range

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508/health-history/signal-quality?startDate=03%2F01%2F2026&endDate=03%2F11%2F2026" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/{mdn}/ratePlanChanges dataPermalink ↗

Update Rate Plan for a device. This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

mdnpathstringrequired

Mobile Device Number.

Device Rate Planbodyobjectrequired

New Rate Plan.

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508/ratePlan" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'
GET/v1.0/devices/{mdn}/real-time-summaryRead-onlyPermalink ↗

Get real-time summary for an eligible device

Parameters

mdnpathstringrequired

Mobile Device Number (MDN) of the device.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508/real-time-summary" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/devices/{mdn}/rebootDestructivePermalink ↗

Reboot a Cradlepoint device. Available only for WBU business type.

Parameters

mdnpathstringrequired

Mobile Device Number (MDN)

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508/reboot" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/devices/{mdn}/replaceDestructivePermalink ↗

Replace a device. This endpoint can only be accessed by scope org_super, org_tech or org_kajeetmanaged or org_managerplus.

Parameters

mdnpathstringrequired

Mobile Device Number. Network of the device must be 'SPPCS'.

Replacement devicebodyobjectrequired

New device. Status of new device must be AV or PA. Realm of new device and data method of the old device must be the same.

cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/521-267-1508/replace" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "note": "Example update payload — confirm schema in Swagger before wiring production."
}'

Build your first call in 5 minutes.

Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.